Bug 1663179 (CVE-2019-3460) - CVE-2019-3460 kernel: Heap address information leak while using L2CAP_PARSE_CONF_RSP
Summary: CVE-2019-3460 kernel: Heap address information leak while using L2CAP_PARSE_C...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-3460
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1664555 1664557 1664902 1664903 1664904 1664905 1664906 1665925 1700506 1700507 1700508 1700509 1700510 1772259 1772260 1772261 1772262
Blocks: 1663182
TreeView+ depends on / blocked
 
Reported: 2019-01-03 11:28 UTC by Andrej Nemec
Modified: 2020-03-09 14:31 UTC (History)
51 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's implementation of logical link control and adaptation protocol (L2CAP), part of the Bluetooth stack in the l2cap_parse_conf_rsp and l2cap_parse_conf_req functions. An attacker with physical access within the range of standard Bluetooth transmission can create a specially crafted packet. The response to this specially crafted packet can contain part of the kernel stack which can be used in a further attack.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:21:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:04:34 UTC
Red Hat Product Errata RHSA-2019:2043 None None None 2019-08-06 12:06:59 UTC
Red Hat Product Errata RHSA-2019:3309 None None None 2019-11-05 20:35:06 UTC
Red Hat Product Errata RHSA-2019:3517 None None None 2019-11-05 21:05:47 UTC
Red Hat Product Errata RHSA-2020:0740 None None None 2020-03-09 14:31:38 UTC

Description Andrej Nemec 2019-01-03 11:28:24 UTC
A flaw was found in the Linux kernels implementation of Logical link control and adaptation protocol (L2CAP), part of the bluetooth stack in the  l2cap_parse_conf_rsp, l2cap_parse_conf_req functions.

An attacker with physical access within the range of standard bluetooth transmission can create a specially crafted packet.  The response to this specially crafted packet can contain part of the kernel stack which can be used in a further attack.

Upstream patch:
https://lore.kernel.org/linux-bluetooth/20190110062833.GA15047@kroah.com/

Oss-security post:
https://seclists.org/oss-sec/2019/q1/58

Mitigation:

- Disabling the bluetooth hardware in the bios.
- Prevent loading of the bluetooth kernel modules.
- Disable the bluetooth connection by putting the system in "airport" mode.

Comment 6 Andrej Nemec 2019-01-14 13:05:06 UTC
Public via:

https://seclists.org/oss-sec/2019/q1/58

Comment 7 Andrej Nemec 2019-01-14 13:05:36 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1665925]

Comment 9 errata-xmlrpc 2019-08-06 12:04:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2029 https://access.redhat.com/errata/RHSA-2019:2029

Comment 10 errata-xmlrpc 2019-08-06 12:06:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2043 https://access.redhat.com/errata/RHSA-2019:2043

Comment 11 Product Security DevOps Team 2019-08-06 13:21:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-3460

Comment 13 errata-xmlrpc 2019-11-05 20:35:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3309 https://access.redhat.com/errata/RHSA-2019:3309

Comment 14 errata-xmlrpc 2019-11-05 21:05:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3517 https://access.redhat.com/errata/RHSA-2019:3517

Comment 17 errata-xmlrpc 2020-03-09 14:31:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0740 https://access.redhat.com/errata/RHSA-2020:0740


Note You need to log in before you can comment on or make changes to this bug.